View Issue Details

IDProjectCategoryView StatusLast Update
0003263Ham Radio DeluxeBugpublic2019-03-31 11:13
ReporterWA9PIEAssigned ToDOUG 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.204 
Target VersionFixed in Version6.5.0.207 
Summary0003263: QSL label printing changes needed (bucked of tweaks from the 204 build)
DescriptionI'm going to pile these items into a fresh new Mantis record so we don't have to wade through the other open items. Pardon me for putting this in there... should probably be THREE separate items. But let's try it like this for these few items.

First of all, the changes made in the 204 build are VERY close to what we want. I was able to print using font size = auto and it looks good (except for item #2 below).

We need to tend three items before we ship this:

Item #1 - the font size needs to be "pinned" (hard-coded) to "Auto". Any other selection causes the text to be truncated when printed. (See image titled "Build 204 QSL label print options")

Item #2 - trying to use the File > Print > QSL Card option puts you in an endless loop. (See image titled "Build 204 QSL card printing endless loop". It's probably best if we have a conversation about how this is supposed to work.
Steps To ReproduceItem 1 can be recreated by selecting 30 QSOs to print labels for... right-click File > Print > Labels.

Item 3 can be recreated by selecting 30 QSOs to print QSL Cards for... right-click File > Print > QSL Cards.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleLabel
Testing Beta Successful

Activities

WA9PIE

2019-03-28 14:46

administrator  

WA9PIE

2019-03-28 16:55

administrator   ~0007787

Ignore the other image that I attached regarding the gridlines. It's fixed in the 204 build.

DOUG

2019-03-29 21:56

developer   ~0007791

I pinned down the auto font and disabled the qsl print menu item in release builds into we get it fixed.

Didn't reproduce the endless loop, I will dive a bit more into the code though.

just kicked off a build.

WA9PIE

2019-03-30 05:21

administrator   ~0007792

Thanks, Doug. I've got the build. There's another place where that endless loop thing comes up... but as for now, we should go ahead and get a release build out.

I'm calling this item validated. Good job.

WA9PIE

2019-03-30 05:27

administrator   ~0007794

I spoke too soon.

We need to get rid of the "Use New Print Functionality" option. Pin it to enabled and hide it. (Or rip out whatever code is behind it. It won't be useful for folks to go back to the old print functionality).

While we're at it... look in the Print Label dialog. There's a dropdown that says "Print On". If that option is changed from "Label" to anything else, we get the endless loop. We should probably disable those as well.

DOUG

2019-03-30 17:54

developer   ~0007809

Removed new or old printing options, always new.
Disabled Print on drop down in release mode

"Fixed" QSL printing. Can't tell by the code what in the world printing 2 and 4 to a page was supposed to do, so let me know how it looks.

Committing now, and will kick off a build in a few.

WA9PIE

2019-03-30 20:27

administrator   ~0007810

With the changes in 206, this is good.

(This leaves open the issues related to printing QSL Cards. We'll pick that up later.)

Validated

Issue History

Date Modified Username Field Change
2019-03-28 14:46 WA9PIE New Issue
2019-03-28 14:46 WA9PIE Status new => assigned
2019-03-28 14:46 WA9PIE Assigned To => DOUG
2019-03-28 14:46 WA9PIE File Added: Build 204 QSL card printing endless loop.PNG
2019-03-28 14:46 WA9PIE File Added: Build 204 QSL label print options.png
2019-03-28 14:46 WA9PIE File Added: Build 204 QSL label changes.png
2019-03-28 16:55 WA9PIE Description Updated View Revisions
2019-03-28 16:55 WA9PIE Steps to Reproduce Updated View Revisions
2019-03-28 16:55 WA9PIE Note Added: 0007787
2019-03-29 21:56 DOUG Note Added: 0007791
2019-03-30 05:21 WA9PIE Note Added: 0007792
2019-03-30 05:22 WA9PIE Status assigned => closed
2019-03-30 05:22 WA9PIE Fixed in Version => 6.5.0.205
2019-03-30 05:22 WA9PIE Testing Not Started => Beta Successful
2019-03-30 05:27 WA9PIE Note Added: 0007794
2019-03-30 05:28 WA9PIE Status closed => assigned
2019-03-30 05:28 WA9PIE Fixed in Version 6.5.0.205 =>
2019-03-30 17:54 DOUG Note Added: 0007809
2019-03-30 20:27 WA9PIE Status assigned => closed
2019-03-30 20:27 WA9PIE Resolution open => fixed
2019-03-30 20:27 WA9PIE Fixed in Version => 6.5.0.206
2019-03-30 20:27 WA9PIE Note Added: 0007810
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.206 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe